> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get registration and deregistration history for a Cardano stake account with timestamp details.

# Stake account updates



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /accounts/{stake_addr}/updates
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /accounts/{stake_addr}/updates:
    get:
      tags:
        - Accounts
      summary: Stake account updates
      description: >-
        Returns a list of updates relating to the specified stake key
        (`registration`, `deregistration`, `delegation`, `withdrawal`)
      operationId: account_updates
      parameters:
        - name: stake_addr
          in: path
          description: Bech32 encoded stake/reward address ('stake1...')
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by absolute slot)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            Updates relating to the specified stake key (registration,
            deregistration, delegation, withdrawal)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAccountUpdate'
              example:
                data:
                  - action: registration
                    tx_hash: >-
                      3058ba8de662ea6bd6572aeea69047c74de1eb4989c75e818d0d2ea4cb3f0a10
                    epoch_no: 162
                    abs_slot: 68770093
                    deposit: '2000000'
                  - action: withdrawal
                    tx_hash: >-
                      c90b48bcb8ec6b2ab1c622f55b34e488cc235d01907072014f9aaa58d883aba2
                    epoch_no: 162
                    abs_slot: 68770469
                    deposit: null
                  - action: withdrawal
                    tx_hash: >-
                      4e1bea9b85be4fa9ca2c88e941b7e58da84e026b5d95088e4e387f1bbccbfa40
                    epoch_no: 162
                    abs_slot: 68771196
                    deposit: null
                last_updated:
                  timestamp: '2022-08-16 09:01:44'
                  block_hash: >-
                    b740737679995380c05b41fc82a9e383c56c931770c46d04967532844792dfec
                  block_slot: 69074213
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedAccountUpdate:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccountUpdate'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    AccountUpdate:
      type: object
      description: Stake account related update
      required:
        - action
        - tx_hash
        - epoch_no
        - abs_slot
      properties:
        abs_slot:
          type: integer
          format: int32
          description: Absolute slot of the block which contained the transaction
        action:
          $ref: '#/components/schemas/AccountAction'
        deposit:
          type: string
          description: Deposit in lovelace if action is Registration
          nullable: true
        epoch_no:
          type: integer
          format: int32
          description: Epoch number in which the transaction occured
        tx_hash:
          type: string
          description: Transaction hash of the transaction which performed the action
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    AccountAction:
      type: string
      description: Type of staking-related action
      enum:
        - registration
        - deregistration
        - delegation
        - withdrawal
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````